BDDMockito.BDDStubberImpl
Date: 2015-09-18

org.mockito

## Class BDDMockito.BDDStubberImpl

- java.lang.Object
- - org.mockito.BDDMockito.BDDStubberImpl

- All Implemented Interfaces:
    BDDMockito.BDDStubber
  Enclosing class:
    BDDMockito

  Deprecated.
  not part of the public API, use `BDDMockito.BDDStubber` instead.

      @Deprecated
      public static class BDDMockito.BDDStubberImpl
      extends java.lang.Object
      implements BDDMockito.BDDStubber

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BDDMockito.BDDStubberImpl(Stubber mockitoStubber)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> T` | `given(T mock)` Deprecated. See original `Stubber.when(Object)`
    `BDDMockito.BDDStubber` | `willAnswer(Answer answer)` Deprecated. See original `Stubber.doAnswer(Answer)`
    `BDDMockito.BDDStubber` | `willCallRealMethod()` Deprecated. See original `Stubber.doCallRealMethod()`
    `BDDMockito.BDDStubber` | `willNothing()` Deprecated. See original `Stubber.doNothing()`
    `BDDMockito.BDDStubber` | `willReturn(java.lang.Object toBeReturned)` Deprecated. See original `Stubber.doReturn(Object)`
    `BDDMockito.BDDStubber` | `willThrow(java.lang.Class<? extends java.lang.Throwable> toBeThrown)` Deprecated. See original `Stubber.doThrow(Class)`
    `BDDMockito.BDDStubber` | `willThrow(java.lang.Throwable toBeThrown)` Deprecated. See original `Stubber.doThrow(Throwable)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BDDMockito.BDDStubberImpl

          public BDDMockito.BDDStubberImpl(Stubber mockitoStubber)

      Deprecated.

  - ### Method Detail

    - #### given

          public <T> T given(T mock)

      Deprecated.
      Description copied from interface: `BDDMockito.BDDStubber`
      See original `Stubber.when(Object)`
      Specified by:
        `given` in interface `BDDMockito.BDDStubber`

    - #### willAnswer

          public BDDMockito.BDDStubber willAnswer(Answer answer)

      Deprecated.
      Description copied from interface: `BDDMockito.BDDStubber`
      See original `Stubber.doAnswer(Answer)`
      Specified by:
        `willAnswer` in interface `BDDMockito.BDDStubber`

    - #### willNothing

          public BDDMockito.BDDStubber willNothing()

      Deprecated.
      Description copied from interface: `BDDMockito.BDDStubber`
      See original `Stubber.doNothing()`
      Specified by:
        `willNothing` in interface `BDDMockito.BDDStubber`

    - #### willReturn

          public BDDMockito.BDDStubber willReturn(java.lang.Object toBeReturned)

      Deprecated.
      Description copied from interface: `BDDMockito.BDDStubber`
      See original `Stubber.doReturn(Object)`
      Specified by:
        `willReturn` in interface `BDDMockito.BDDStubber`

    - #### willThrow

          public BDDMockito.BDDStubber willThrow(java.lang.Throwable toBeThrown)

      Deprecated.
      Description copied from interface: `BDDMockito.BDDStubber`
      See original `Stubber.doThrow(Throwable)`
      Specified by:
        `willThrow` in interface `BDDMockito.BDDStubber`

    - #### willThrow

          public BDDMockito.BDDStubber willThrow(java.lang.Class<? extends java.lang.Throwable> toBeThrown)

      Deprecated.
      Description copied from interface: `BDDMockito.BDDStubber`
      See original `Stubber.doThrow(Class)`
      Specified by:
        `willThrow` in interface `BDDMockito.BDDStubber`

    - #### willCallRealMethod

          public BDDMockito.BDDStubber willCallRealMethod()

      Deprecated.
      Description copied from interface: `BDDMockito.BDDStubber`
      See original `Stubber.doCallRealMethod()`
      Specified by:
        `willCallRealMethod` in interface `BDDMockito.BDDStubber`